CabRotation = {};

function CabRotation.prerequisitesPresent(specializations)
    return true;
end;

function CabRotation:load(xmlFile)
	self.isBackwardRotate = false;
end;

function CabRotation:delete()
end;

function CabRotation:readStream(streamId, connection)	
end;

function CabRotation:writeStream(streamId, connection)
end;

function CabRotation:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CabRotation:keyEvent(unicode, sym, modifier, isDown)
end;

function CabRotation:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.XERION_CAB_ROTATION) then
			if self.isBackwardRotate then
				self:setAnimationTime(1, self.animationParts[1].startPosition);
			else
				self:setAnimationTime(1, self.animationParts[1].animDuration);
			end;
		end;
	end;
	self.isBackwardRotate = self.animationParts[1].clipEndTime;
end;

function CabRotation:updateTick(dt)
end;

function CabRotation:draw()
	g_currentMission:addHelpButtonText(g_i18n:getText("XERION_1"), InputBinding.XERION_CAB_ROTATION);
end;